from PyQt6.QtWidgets import QMessageBox, QDialog, QVBoxLayout, QLabel, QPushButton

def display_error_dialog(parent_view, message) -> None:
    error_dialog = QMessageBox(parent_view)
    error_dialog.setIcon(QMessageBox.Icon.Critical)
    error_dialog.setWindowTitle("Error")
    error_dialog.setText(message)
    error_dialog.exec()

def display_info_dialog(parent_view, message) -> None:
    info_dialog = QMessageBox(parent_view)
    info_dialog.setIcon(QMessageBox.Icon.Information)
    info_dialog.setWindowTitle("Information")
    info_dialog.setText(message)
    info_dialog.exec()